Install Rails

A mini guide:

1.

rails new my.website.com

Rails is not currently installed on this system. To get the latest version, simply type:

$ sudo gem install rails

You can then rerun your “rails” command.

But:

sudo gem install rails

gave:
ERROR:  Error installing rails:
bundler requires RubyGems version >= 1.3.6

2.

sudo gem update –system

sudo gem install bundler

http://stackoverflow.com/questions/7863278/how-can-i-correctly-install-ruby-on-rails-bundler-etc-on-a-fresh-mac-os-x

and then:

sudo gem install rails

works.

 

See also:

http://www.moncefbelyamani.com/how-to-install-xcode-homebrew-git-rvm-ruby-on-mac/

Leave a Reply

Your email address will not be published. Required fields are marked *